nxt.http.callers

## Class GetBlockchainTransactionsCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetBlockchainTransactionsCall>
  - - nxt.http.callers.GetBlockchainTransactionsCall

-     public class GetBlockchainTransactionsCall
      extends APICall.Builder<GetBlockchainTransactionsCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetBlockchainTransactionsCall` | `account(long account)`
    `GetBlockchainTransactionsCall` | `account(java.lang.String account)`
    `GetBlockchainTransactionsCall` | `adminPassword(java.lang.String adminPassword)`
    `static GetBlockchainTransactionsCall` | `create(int chain)`
    `GetBlockchainTransactionsCall` | `executedOnly(boolean executedOnly)`
    `GetBlockchainTransactionsCall` | `firstIndex(int firstIndex)`
    `GetBlockchainTransactionsCall` | `includeExpiredPrunable(boolean includeExpiredPrunable)`
    `GetBlockchainTransactionsCall` | `includePhasingResult(boolean includePhasingResult)`
    `GetBlockchainTransactionsCall` | `lastIndex(int lastIndex)`
    `GetBlockchainTransactionsCall` | `nonPhasedOnly(java.lang.String nonPhasedOnly)`
    `GetBlockchainTransactionsCall` | `numberOfConfirmations(java.lang.String numberOfConfirmations)`
    `GetBlockchainTransactionsCall` | `phasedOnly(java.lang.String phasedOnly)`
    `GetBlockchainTransactionsCall` | `requireBlock(java.lang.String requireBlock)`
    `GetBlockchainTransactionsCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `GetBlockchainTransactionsCall` | `subtype(int subtype)`
    `GetBlockchainTransactionsCall` | `timestamp(int timestamp)`
    `GetBlockchainTransactionsCall` | `type(int type)`
    `GetBlockchainTransactionsCall` | `withMessage(java.lang.String withMessage)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetBlockchainTransactionsCall create(int chain)

    - #### requireLastBlock

          public GetBlockchainTransactionsCall requireLastBlock(java.lang.String requireLastBlock)

    - #### includeExpiredPrunable

          public GetBlockchainTransactionsCall includeExpiredPrunable(boolean includeExpiredPrunable)

    - #### numberOfConfirmations

          public GetBlockchainTransactionsCall numberOfConfirmations(java.lang.String numberOfConfirmations)

    - #### executedOnly

          public GetBlockchainTransactionsCall executedOnly(boolean executedOnly)

    - #### type

          public GetBlockchainTransactionsCall type(int type)

    - #### withMessage

          public GetBlockchainTransactionsCall withMessage(java.lang.String withMessage)

    - #### firstIndex

          public GetBlockchainTransactionsCall firstIndex(int firstIndex)

    - #### nonPhasedOnly

          public GetBlockchainTransactionsCall nonPhasedOnly(java.lang.String nonPhasedOnly)

    - #### subtype

          public GetBlockchainTransactionsCall subtype(int subtype)

    - #### includePhasingResult

          public GetBlockchainTransactionsCall includePhasingResult(boolean includePhasingResult)

    - #### phasedOnly

          public GetBlockchainTransactionsCall phasedOnly(java.lang.String phasedOnly)

    - #### lastIndex

          public GetBlockchainTransactionsCall lastIndex(int lastIndex)

    - #### account

          public GetBlockchainTransactionsCall account(java.lang.String account)

    - #### account

          public GetBlockchainTransactionsCall account(long account)

    - #### requireBlock

          public GetBlockchainTransactionsCall requireBlock(java.lang.String requireBlock)

    - #### adminPassword

          public GetBlockchainTransactionsCall adminPassword(java.lang.String adminPassword)

    - #### timestamp

          public GetBlockchainTransactionsCall timestamp(int timestamp)